/* Editore.java */

import java.io.*;

public class Editore extends Thread {
  private Canale canale;

  private final static String EOF = "-1";

  private BufferedReader stdIn = new BufferedReader(new InputStreamReader(
      System.in));

  // Costruttore
  public Editore(Canale c) {
    super("Editore");
    canale = c;
  }

  public void run() {
    System.out.println("\nEditore: inizio...");
    String msg;
    try {
      System.out
          .println("\n^D(Unix)/^Z(Win)+invio per uscire, solo invio per continuare: ");
      int i = 0;
      while (stdIn.readLine() != null) { //while(!EOF)
        i++;
        System.out.print("E: messaggio " + i + " ? ");
        msg = stdIn.readLine();
        canale.put("" + msg);
        System.out
            .println("^D(Unix)/^Z(Win)+invio per uscire, solo invio per continuare: ");
      } //while, qui Editore ha letto EOF
    } catch (Exception e) {
      e.printStackTrace();
    }
    System.out.println("E: termino...");
    canale.put(EOF);
  } //run()
} //Editore
