/* testMain.java */

public class testMain {
  final static int NUM_SOTTOSCRITTORI = 5;

  public static void main(String[] args) {
    Sottoscrittore sottoscrittore;
    Canale canale;
    Editore editore;
    try {
      // Creo il canale e leditore e faccio partire il thread
      canale = new Canale();
      editore = new Editore(canale);
      editore.start();
      for (int i = 0; i < NUM_SOTTOSCRITTORI; i++) {
        // Creo i Sottoscrittori e faccio partire i thread
        sottoscrittore = new Sottoscrittore(canale, i);
        sottoscrittore.start();
      } //for
    } catch (Exception err) {
      System.err.println("Errore nel main, il seguente: " + err);
      System.exit(1);
    } //catch
  } //main
} //testMain
